// creator  : weidu.exe (version 23600)
// argument : GATEWARD.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~GATEWARD~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 5 even though they appear after this state */
~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #10773 /* ~Soon be gone, will ye? Aye, Gorion arsked me to teach you a whit about the finer arts o' mass combat afore ye leave. Can I pique yer int'rest with it, <CHARNAME>?~ */
  IF ~~ THEN REPLY #10774 /* ~Yes, Gatewarden. I would appreciate that.~ */ GOTO 3
  IF ~~ THEN REPLY #10776 /* ~Gorion's in a hurry, Gatewarden, and I'm afraid I can't spare the time. Sorry...~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.1
  SAY #10777 /* ~Are ye sure, little one? It would be best ye took the time to learn it now rather than curse yer ignorance later. Gorion himself arsked me to do this deed and I'll not offer it to ye twice.~ */
  IF ~~ THEN REPLY #10778 /* ~Very well, then. Teach me what you can for I have much to learn.~ */ GOTO 3
  IF ~~ THEN REPLY #10779 /* ~Whatever little knowledge I have, I am sure it will be sufficient, thank you. Besides, Gorion will protect me should we encounter any trouble.~ */ GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.1
  SAY #10780 /* ~Aye, ye be as ye've always been, then. Worse than tryin' to talk sense to Ulraunt himself. Now there be duties that need attendin' to and I'll not suffer a brat like ye any longer.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.0 0.0
  SAY #10781 /* ~Good, then, child. 'Tis one thing to maintain control o' yerself in the heat of battle but 'tis quite another to maintain one's authority o'er a group. I've arsked Obe the illusionist to run through a few simulations fer ye down in the storage cellars. Just follow me this way an' I'll unlock the door fer ye...~ */
  IF ~~ THEN DO ~SetGlobal("OBE","GLOBAL",1)
TriggerActivation("Door2643",TRUE)
MoveToPoint([3127.2983])
~ EXIT
END

IF WEIGHT #2 /* Triggers after states #: 5 even though they appear after this state */
~  True()
~ THEN BEGIN 4 // from:
  SAY #10782 /* ~There ye be, <CHARNAME>. If you haven't trained with Obe yet, then the door's wide open and all ye needs to do is march in. If you've already done yer training then you should go and see Gorion. Yer father is anxious to see you. ~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF WEIGHT #0 ~  NumInPartyGT(1)
~ THEN BEGIN 5 // from:
  SAY #10788 /* ~Hello there! I thought I should tell you that Gorion has been looking to talk to <CHARNAME> and all of <PRO_HISHER> friends. You should go talk to Gorion as soon as possible.~ */
  IF ~~ THEN EXIT
END
